import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {
  GSInterfaceType,
  GetGSInterfaceListParams,
  OriginalListParams,
} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();
export const contextState: OriginalListParams<GetGSInterfaceListParams> = {
  type: '' as GSInterfaceType,
  accessType: '',
  startTime: '',
  endTime: '',
  data: '',
};
export const context = createTableSearchContext(contextState);
